Parole is an open source, free and cross platform service that is intended to make people secure on the internet ecosystem. Parole excels to build up an internet community safer everywhere and every single moment. Parole is a password generator tool available on Android, Web browsers, Windows desktop, linux and macOS desktop.

Parole is backed by an individual [Shivam Yadav](https://github.com/shivamyadavnp/). This means parole is not a business or profit intended organization. To make parole a pioneer to the password generators available on the app stores, Parole cares for everything. Parole is 100% ad free, analytics free and no technologies other apps are built on which tracks users.

<div align="center" >
<a href="https://paroleservice.github.io/" target="_blank"><img src="https://www.access.earth/img/pwa.png" alt="Launch now as web app" height="75em"/></a>
<a href="https://play.google.com/store/apps/details?id=shivamyadav.confabmeetings.android" target="_blank"><img src="https://upload.wikimedia.org/wikipedia/commons/thumb/7/78/Google_Play_Store_badge_EN.svg/1200px-Google_Play_Store_badge_EN.svg.png" alt="Get it on Google Play" height="75em"/></a>
</div>

### Parole for everyone
Parole is not for you, a specific community or anyone else. Parole is for everyone. With everyone, I mean anyone, even aliens who intend to use this tool for their security and protection. Parole is always improving and keeping up with security and privacy on every update it pushes. Parole is leaving it's positive side to the users using this app making it a perfect password generation tool. Parole is built for everyone of any age. Parole is kept up for people under the age of 18, it is built taking care of requirements and privacy of users for any age. It makes ads and trackers free for making everyone's data private and removing access to any of the user's data, believing our service from any other companies.

### Getting Involved

Please read the [Community Participation Guidelines](https://paroleservice.page.link/communityparticipation/) before filing an issue. This is Parole's professional working environment as much as it is Parole's bug tracker, and Parole wants to keep our workspace clean and healthy.

* [Guide to Contributing](https://paroleservice.page.link/guides/contributiontomobileapp/) (**New contributors start here!**)

* Browse our [current Issues](https://github.com/shivamyadavnp/parolemobile/issues) or [file a security issue](https://github.com/shivamyadavnp/parolemobile/issues).

* Chat channels: [Developer's chat channel](https://paroleservice.page.link/channels/developersupport/) (**Anyone may not be available to chat every time**). Related channels:
  * [Mobile UI Improvements](https://paroleservice.page.link/channels/mobileuiimprovement/): For UI improvements of Android app
  * [Performance and improvements](https://paroleservice.page.link/channels/performanceimprovements/): For performance and improvements of Android apps
  * [Tips](https://paroleservice.page.link/channels/developersupport/): for tips on Android development

* Check out the [Project Wiki](https://github.com/shivamyadavnp/parolemobile/wiki) for more information.

**Beginners!** - Watch out for [Issues with the "Good First Issue" label](https://github.com/shivamyadavnp/parolemobile/issues?q=is%3Aopen+is%3Aissue+label%3A%22good+first+issue%22). These are easy bugs that have been left for first timers to have a go, get involved and make a positive contribution to the project!


### I want to open a Pull Request!

Parole encourages you to participate in this open source project. Parole loves Pull Requests, Bug Reports, ideas, (security) code reviews or any other kind of positive contribution.

Since Parole is backed by single person, however, **Parole do not have the bandwidth to review unsolicited PRs**. Please follow our [Pull Request guidelines](https://paroleservice.page.link/development/prguidelines/), or **Parole may close the PR**.

To make it easier to review, Parole have these PR requirements:
* Write a clear explanation of what the code is doing when opening the pull request, and optionally add comments to the PR.
* Make sure there are tests - or ask for help on how the code should be tested in the Issue!
* Keep PRs small and to the point. For extra code-health changes, either file a separate issue, or make it a separate PR that can be easily reviewed.
* Use micro-commits. This makes it easier and faster to review.
* Add a screenshot for UX changes (this is part of the PR checklist)

Keep in mind PR takes some time to review, so PRs sometimes wait for a very long time. However this is not for lack of interest, but because I find myself in a constant need to prioritize certain issues/PRs over others. If you think your issue/PR is very important, try to popularize it by getting other users to comment and share their point of view.

### I want to file an issue!

Great! Parole encourages you to participate in this open source project. Parole loves Pull Requests, Bug Reports, ideas, (security) code reviews or any other kind of positive contribution.

To make it easier to triage, Parole have these issue requirements:

* Please do your best to search for duplicate issues before filing a new issue so I can keep Parole's issue board clean.
* Every issue should have **exactly** one bug/feature request described in it. Please do not file meta feedback list tickets as it is difficult to parse them and address their individual points.
* Feature Requests are better when they’re open-ended instead of demanding a specific solution -ie  “I want an easier way to do X” instead of “add Y”
* Issues are not the place to go off topic or debate. If you have questions, please join the [Parole's support group](https://paroleservice.page.link/support/channel/).
* Please always remember Parole's [Community Participation Guidelines](https://paroleservice.page.link/communityparticipation/)
* Please do not tag specific team members to try to get your issue looked at faster. Parole has a triage process that will tag and label issues correctly in due time. If you think an issue is very severe, you can ask about it in the Chat box.

Please keep in mind that even though a feature you have in mind may seem like a small task, as an individual, I have to prioritize my  planned work and every new feature adds complexity and maintenance and may take up design, research, marketing, product, and engineering time. I appreciate everyone’s passion but I will not be able to incorporate every feature request or even fix every bug. That being said, just because I haven't replied, doesn't mean I don't care about the issue, please be patient with my response times as I'm very busy.

### Build Instructions

Pre-requisites:
* Android SDK
* Flutter SDK
* Knowledge on developings apps with flutter

1. Clone or Download the repository:

  ```shell
  git clone https://github.com/shivamyadavnp/parolemobile/
  ```

2. **Import** the project in your IDE and clean previous caches:

  ```shell
  flutter clean
  ```

 If this errors out, make sure that you have configured everything you need with flutter and run get packages command.
  
  ### License
  This Source Code Form is subject to the terms of the Apache License V. 2.0. If a copy of the Apache Public License was not distributed with this file, You can obtain one at http://www.apache.org/licenses/LICENSE-2.0
